﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Schedules;
using Infragistics.Controls.Schedules.Primitives;
using Infragistics.Collections;
using Infragistics.Windows.Reporting;
using System.Diagnostics;

namespace SimpleSchedule
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Resource> resources = new ObservableCollection<Resource>();
        ObservableCollection<ResourceCalendar> calendars = new ObservableCollection<ResourceCalendar>();
        ObservableCollection<Appointment> appointments = new ObservableCollection<Appointment>();
        ObservableCollection<Task> tasks = new ObservableCollection<Task>();

        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            resources.Add(new Resource
            {
                Id = "own1",
                Name = "Amanda"
            });


            calendars.Add(new ResourceCalendar
            {
                Id = "cal1",
                OwningResourceId = "own1"
            });

            for (int i = 0; i < 10; i++)
            {
                Appointment app = new Appointment
                {
                    Id = "t"+i,
                    OwningCalendarId = "cal1",
                    OwningResourceId = "own1",
                    Subject = "Appointment " + i,
                    Description = "My  appointment" +i,
                    Start = DateTime.Today.AddHours(i + 1).ToUniversalTime(),
                    End = DateTime.Today.AddHours(i + 3).ToUniversalTime()
                };

                appointments.Add(app);
            }

            //===================== Setting the time zone to the local time zone ==============================//
            dataConnector.TimeZoneInfoProviderResolved.LocalTimeZoneId = TimeZone.CurrentTimeZone.StandardName;
            // ================================================================================================//
            dataConnector.ResourceItemsSource = resources;
            dataConnector.ResourceCalendarItemsSource = calendars;
            dataConnector.AppointmentItemsSource = appointments;
            dataConnector.TaskItemsSource = tasks;
             

        }
    }


  
}
